{%- from "ironic/map.jinja" import api with context %}

{%- set should_run = '/bin/false' %}
{%- if not grains.get('noservices') and api.version not in ["juno", "kilo", "liberty", 'ocata'] and api.api_type not in ["deploy"] and api.get('role', 'primary') == 'primary' %}
{%- set should_run = '/bin/true' %}
{%- endif %}

ironic_online_data_migrations:
  cmd.run:
  - name: ironic-dbsync online_data_migrations
  - onlyif: {{ should_run }}
  - runas: 'ironic'
